View Issue Details

IDProjectCategoryView StatusLast Update
0014517LazarusWidgetsetpublic2011-12-01 11:22
ReporterPhil Assigned ToVincent Snijders  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMac PowerPCOSOS X 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.27 (SVN) 
Summary0014517: Can't compile against GTK anymore
DescriptionCompiling project against GTK widgetset now gives this link error:

"can't locate file for: -lglib-1.2.0"

In 0.9.26 I believe Lazarus always passed -Fl/usr/X11R6/lib -Fl/sw/lib to FPC, with the assumption that this is where X11 and GTK are located. This also still appears to be the assumption of the wiki documentation:

http://wiki.lazarus.freepascal.org/OS_X_Programming_Tips

I have dozens of test projects that I compile from a script with lazbuild. It appears as though I will need to manually add the -Fl's to these projects.

Also, the instructions for telling Lazarus where GTK is in the wiki are not correct, at least this does not work on Tiger:

export DYLD_FALLBACK_LIBRARY_PATH

This wiki tip also will not work if Lazarus is no longer passing /sw/lib to FPC:

sudo ln -s /opt/local /sw

Thanks.

-Phil
TagsNo tags attached.
Fixed in Revision21593,21594
LazTarget0.9.28
WidgetsetGTK
Attached Files

Activities

Vincent Snijders

2009-09-06 20:02

manager   ~0030485

See http://svn.freepascal.org/cgi-bin/viewvc.cgi/tags/lazarus_0_9_26/ide/include/darwin/lazconf.inc?root=lazarus&view=log

These paths have been removed in r15826 after the change to carbon, and before the 0.9.26 release.

As you noted, compilation is succesful, if -Fl/sw/lib is added manually.

I will ask about adding those extra paths again.

Vincent Snijders

2009-09-06 21:02

manager   ~0030488

Will be merged to 0.9.28

Issue History

Date Modified Username Field Change
2009-09-05 22:25 Phil New Issue
2009-09-05 22:25 Phil Widgetset => GTK
2009-09-06 19:23 Vincent Snijders Status new => assigned
2009-09-06 19:23 Vincent Snijders Assigned To => Vincent Snijders
2009-09-06 19:23 Vincent Snijders LazTarget => 0.9.28
2009-09-06 19:23 Vincent Snijders Target Version => 0.9.28
2009-09-06 20:02 Vincent Snijders Note Added: 0030485
2009-09-06 21:02 Vincent Snijders Fixed in Revision => 21593,21594
2009-09-06 21:02 Vincent Snijders Status assigned => resolved
2009-09-06 21:02 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2009-09-06 21:02 Vincent Snijders Resolution open => fixed
2009-09-06 21:02 Vincent Snijders Note Added: 0030488
2009-09-10 08:53 Vincent Snijders Fixed in Version 0.9.29 (SVN) => 0.9.27 (SVN)
2011-12-01 11:22 Marc Weustink Status resolved => closed